clang 8.0.0

Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::OMPMapVars Class Reference

The class used to assign some variables some temporarily addresses. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
| OMPMapVars ()=default
| ~OMPMapVars ()
bool | setVarAddr (CodeGenFunction &CGF, const VarDecl *LocalVD, Address TempAddr)
| Sets the address of the variable `LocalVD` to be `TempAddr` in function `CGF`. More...
bool | apply (CodeGenFunction &CGF)
| Applies new addresses to the list of the variables. More...
void | restore (CodeGenFunction &CGF)
| Restores original addresses of the variables. More...

## Detailed Description

The class used to assign some variables some temporarily addresses.

Definition at line 815 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ OMPMapVars()

clang::CodeGen::CodeGenFunction::OMPMapVars::OMPMapVars | ( |  | ) |
| explicit default

## ◆ ~OMPMapVars()

clang::CodeGen::CodeGenFunction::OMPMapVars::~OMPMapVars | ( |  | ) |
| inline

Definition at line 823 of file CodeGenFunction.h.

## Member Function Documentation

## ◆ apply()

bool clang::CodeGen::CodeGenFunction::OMPMapVars::apply | ( | CodeGenFunction & | CGF | ) |
| inline

Applies new addresses to the list of the variables.

Returns
  true if at least one variable is using new address, false otherwise.

Definition at line 858 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::OMPPrivateScope::Privatize().

## ◆ restore()

void clang::CodeGen::CodeGenFunction::OMPMapVars::restore | ( | CodeGenFunction & | CGF | ) |
| inline

Restores original addresses of the variables.

Definition at line 865 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::OMPPrivateScope::ForceCleanup().

## ◆ setVarAddr()

bool clang::CodeGen::CodeGenFunction::OMPMapVars::setVarAddr | ( | CodeGenFunction & | CGF,
|  | const VarDecl * | LocalVD,
|  | Address | TempAddr
| ) |  |
| inline

Sets the address of the variable `LocalVD` to be `TempAddr` in function `CGF`.

Returns
  true if at least one variable was set already, false otherwise.

Definition at line 830 of file CodeGenFunction.h.

References clang::CodeGen::CodeGenFunction::Builder, clang::CodeGen::CodeGenFunction::CreateMemTemp(), clang::CodeGen::CGBuilderTy::CreateStore(), clang::VarDecl::getCanonicalDecl(), clang::CodeGen::Address::getPointer(), clang::ValueDecl::getType(), and clang::Type::isReferenceType().

Referenced by clang::CodeGen::CodeGenFunction::OMPPrivateScope::addPrivate().

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h